Get an event group
Returns one group of the event with its stage, schedule, and check-in window.
Parameters #
| Property | Type | Location | Description |
|---|---|---|---|
eventId | stringRequired | path | - |
groupId | stringRequired | path | - |
Request #
curl --request GET 'https://strave.gg/api/v2/events/EVENT_ID/groups/GROUP_ID' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response #
200Response for status 200400Response for status 400401Response for status 401403Response for status 403404Response for status 404429Response for status 429500Response for status 500503Response for status 503| Property | Type | Description |
|---|---|---|
data | objectRequired | - |
└id | stringRequired | - |
└eventId | stringRequired | - |
└stageId | stringRequired | - |
└name | stringRequired | - |
└slug | string | nullRequired | - |
└scheduledAt | string | nullRequired | - |
└checkInStartsAt | string | nullRequired | - |
└checkInEndsAt | string | nullRequired | - |
└startedAt | string | nullRequired | - |
└endedAt | string | nullRequired | - |
└format | string | The format type that the group plays: its own format, else the stage format. |
└bestOf | number | Default best-of of the group: its own value, else the stage best-of. |
Cost #
1 API unit